<?php
/**
 * Created by PhpStorm.
 * User: FrédéricGuichard
 * Date: 13/09/2016
 * Time: 19:12
 */

namespace ByDedi\AdminBundle\DataFixtures\ORM;

use ByDedi\AdminBundle\Entity\Group;
use ByDedi\AdminBundle\Entity\User;
use Doctrine\Common\DataFixtures\FixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;

class LoadUserData implements FixtureInterface
{
    public function load(ObjectManager $manager)
    {
        $groupAdmin = new Group('Administrateur');
        $groupAdmin->addRole('ROLE_SUPER_ADMIN: ROLE_ADMIN, ROLE_ALLOWED_TO_SWITCH');
        $manager->persist($groupAdmin);
        $manager->flush();

        $userAdmin = new User();
        $userAdmin->setUsername('admin@dedi-agency.com');
        $userAdmin->setEmail('admin@dedi-agency.com');
        $userAdmin->setUsernameCanonical('admin@dedi-agency.com');
        $userAdmin->setPlainPassword('glop');
        $userAdmin->setEnabled(true);
        $userAdmin->addGroup($groupAdmin);
        $manager->persist($userAdmin);
        $manager->flush();
    }
}
