<?php
/**
 * Created by PhpStorm.
 * User: YannickBreillet
 * Date: 07/02/2017
 * Time: 17:43
 */

namespace ByDedi\AdminBundle\Form\Type;

use Sonata\AdminBundle\Form\Type\ModelType as SonataModelType;
use Symfony\Component\DependencyInjection\Container;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\PropertyAccess\PropertyAccessorInterface;

class ModelType extends SonataModelType
{
    private $container;

    /**
     * @param EntityManager
     */
    public function __construct(Container $container, PropertyAccessorInterface $propertyAccessor)
    {
        $this->container = $container;
        $this->propertyAccessor = $propertyAccessor;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'admin_service' => '',
            'btn_add' => true,
            'class' => '',
            'model_manager' => null,
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $admin = $this->container->get($options['admin_service']);
        $view->vars['admin'] = $admin;
        $listUrl = $admin->generateUrl(
            'create',
            array_merge(
                $view->vars['sonata_admin']['field_description']->getOption('link_parameters', []),
                ['origin_id' => $view->vars['sonata_admin']['admin']->getSubject()->getId(),
                    'pcode' => $view->vars['sonata_admin']['admin']->getCode(),
                    '_list_mode' => 'list']
            )
        );
        //        dump($listUrl);die;
        $view->vars['url'] = $listUrl;
        $view->vars['pcode'] = $view->vars['sonata_admin']['admin']->getCode();
        $view->vars['btn_add'] = $options['btn_add'];
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'custom_type_model';
    }
}
